StackHawk Documentation StackHawk Logo HawkDocs

No results found

Try different keywords or check your spelling

Search documentation

Find guides, API references, and more

esc

Get application

GET /api/v1/app/{appId}

Get Application

Gets this StackHawk Application.

Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see Applications.

Parameter Default Description
applicationId "" The UUID identifier of this application.
name "" The name of this application.
env "" The name of this environment. Only set when requesting Application Environments.
envId "" The UUID identifier of this environment.
applicationStatus "ACTIVE" The status of this application. Either ACTIVE or ENV_INCOMPLETE.
organizationId "" The UUID identifier of the organization that owns this application.
applicationType "STANDARD" The type of this application.
cloudScanTarget {} Optional Cloud Scan Target configuration.
{
	"applicationId": "",
	"name": "",
	"env": "",
	"envId": "",
	"applicationStatus": "UNKNOWN",
	"organizationId": "",
	"applicationType": "UNKNOWN",
	"cloudScanTarget": {}
}
const application = {
	applicationId: "",
	name: "",
	env: "",
	envId: "",
	applicationStatus: "UNKNOWN",
	organizationId: "",
	applicationType: "UNKNOWN",
	cloudScanTarget: {},
}
interface Application {
	applicationId: string
	name: string
	env: string
	envId: string
	applicationStatus: ApplicationApplicationStatus
	organizationId: string
	applicationType: ApplicationApplicationType
	cloudScanTarget: ApplicationCloudScanTarget
} 

const application: Application = {
	applicationId: "",
	name: "",
	env: "",
	envId: "",
	applicationStatus: "UNKNOWN",
	organizationId: "",
	applicationType: "UNKNOWN",
	cloudScanTarget: {},
}
public class Application {

	public String applicationId;
	public String name;
	public String env;
	public String envId;
	public ApplicationApplicationStatus applicationStatus;
	public String organizationId;
	public ApplicationApplicationType applicationType;
	public ApplicationCloudScanTarget cloudScanTarget;

}
data class Application(
	var applicationId: String,
	var name: String,
	var env: String,
	var envId: String,
	var applicationStatus: ApplicationApplicationStatus,
	var organizationId: String,
	var applicationType: ApplicationApplicationType,
	var cloudScanTarget: ApplicationCloudScanTarget
)
class Application:
	applicationId = ""
	name = ""
	env = ""
	envId = ""
	applicationStatus = "UNKNOWN"
	organizationId = ""
	applicationType = "UNKNOWN"
	cloudScanTarget = {}
struct Application {
	applicationId: &str,
	name: &str,
	env: &str,
	envId: &str,
	applicationStatus: ApplicationApplicationStatus,
	organizationId: &str,
	applicationType: ApplicationApplicationType,
	cloudScanTarget: ApplicationCloudScanTarget,
}

👥 Teams Supported If the application belongs to a StackHawk Team, only members of the Team can call this endpoint.

Requires read:application permission.

Path parameters

appIdstring · uuidrequired

UUID identifier for this StackHawk Application.

Response

Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see Applications.

applicationId
string

The UUID identifier of this application.

applicationStatus
enum<string>

The status of this application. Either ACTIVE or ENV_INCOMPLETE.

2 available options
ACTIVEENV_INCOMPLETE
applicationType
enum<string>

The type of this application.

2 available options
STANDARDCLOUD
cloudScanTarget
application.CloudScanTarget
Hide child attributesShow child attributes
cloudScanTarget.isDomainVerified
boolean

Indicates if the domain is verified or not.

cloudScanTarget.targetURL
string

The target URL.

dataType
enum<string> write-only

The perceived dataType of this application. Currently unused.

7 available options
NONEPIIPCIFINPKIHIPAAFERPA
env
string

The name of this environment. Only set when requesting Application Environments.

envId
string

The UUID identifier of this environment.

name
string

The name of this application.

organizationId
string

The UUID identifier of the organization that owns this application.

riskLevel
enum<string> write-only

The perceived riskLevel of this application. Currently unused.

4 available options
LOWMEDIUMHIGHCRITICAL
applicationId
string

The UUID identifier of this application.

applicationStatus
enum<string>

The status of this application. Either ACTIVE or ENV_INCOMPLETE.

2 available options
ACTIVEENV_INCOMPLETE
applicationType
enum<string>

The type of this application.

2 available options
STANDARDCLOUD
cloudScanTarget
application.CloudScanTarget
Hide child attributesShow child attributes
cloudScanTarget.isDomainVerified
boolean

Indicates if the domain is verified or not.

cloudScanTarget.targetURL
string

The target URL.

dataType
enum<string> write-only

The perceived dataType of this application. Currently unused.

7 available options
NONEPIIPCIFINPKIHIPAAFERPA
env
string

The name of this environment. Only set when requesting Application Environments.

envId
string

The UUID identifier of this environment.

name
string

The name of this application.

organizationId
string

The UUID identifier of the organization that owns this application.

riskLevel
enum<string> write-only

The perceived riskLevel of this application. Currently unused.

4 available options
LOWMEDIUMHIGHCRITICAL

Bad Request

Unauthorized

Your privacy settings

We use first and third party cookies to ensure that we give you the best experience on our website and in our products.